local assets=
{
	Asset("ANIM", "anim/swap_changmao.zip"),
	Asset("ANIM", "anim/changmao.zip"),
    	Asset("ATLAS", "images/inventoryimages/changmao.xml"),
    	Asset("IMAGE", "images/inventoryimages/changmao.tex"),
}


local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_changmao", "swap_changmao")
    owner.AnimState:Show("ARM_carry")
    owner.AnimState:Hide("ARM_normal")
end


local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
end


local function onfinished(inst)
    inst:Remove()
end


--local function onattack(weapon, attacker, target)
--end

local function fn()
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	local netw = inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("changmao")
    inst.AnimState:SetBuild("changmao")
    inst.AnimState:PlayAnimation("idle")
    
    inst:AddTag("sharp")

    if not TheWorld.ismastersim then
        return inst
    end

    inst.entity:SetPristine()

    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.XIMICHANGMAO_DAMAGE)
--    inst.components.weapon:SetOnAttack(onattack)
    
    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(TUNING.XIMICHANGMAO_USE)
    inst.components.finiteuses:SetUses(TUNING.XIMICHANGMAO_USE)
    
    inst.components.finiteuses:SetOnFinished( onfinished )

    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/changmao.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
    
    return inst
end


return Prefab( "common/inventory/changmao", fn, assets, prefabs) 
